@mixin make-tx-decoration($s) {
    #{$s}tx-no-decoration{
        text-decoration: none;
    }
    #{$s}tx-underline{
        text-decoration: underline;
    }
    #{$s}tx-overline{
        text-decoration: overline;
    }
    #{$s}tx-line-through{
        text-decoration: line-through;
    }
}